## libtk-tablematrix-perl 1.29

=== pTk/Makefile ===
# This Makefile is for the Tk::pTk extension to perl.
#
# It was generated automatically by MakeMaker version
# 7.62 (Revision: 76200) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: (q[BINARY_LOCATION=darwin-thread-multi-2level/Tk1.29-PPM.tar.gz])
#

#   MakeMaker Parameters:

#     BUILD_REQUIRES => {  }
#     CONFIGURE_REQUIRES => {  }
#     DEFINE => q[]
#     DIR => []
#     INC => q[-I/opt/local/lib/perl5/vendor_perl/5.34/darwin-thread-multi-2level/Tk -I/opt/local/lib/perl5/vendor_perl/5.34/darwin-thread-multi-2level/Tk/pTk -I. -Ibitmaps      -I/opt/local/include -I/opt/local/include/freetype2]
#     LINKTYPE => q[static]
#     NAME => q[Tk::pTk]
#     OBJECT => q[$(O_FILES)]
#     PREREQ_PM => {  }
#     SKIP => [q[distclean], q[dist], q[makeaperl], q[xs_o]]
#     TEST_REQUIRES => {  }
#     TYPEMAPS => [q[/opt/local/lib/perl5/vendor_perl/5.34/darwin-thread-multi-2level/Tk/typemap]]
#     VERSION => q[1.29]
#     XS_VERSION => q[0.9]
#     clean => { FILES=>q[libpTk$(LIB_EXT) *.bak] }
#     macro => { TKDIR=>q[/opt/local/lib/perl5/vendor_perl/5.34/darwin-thread-multi-2level/Tk], WINARCH=>q[x] }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /opt/local/lib/perl5/5.34/darwin-thread-multi-2level/Config.pm).
# They may have been overridden via Makefile.PL or on the command line.
AR = ar
CC = /usr/bin/cc
CCCDLFLAGS =  
CCDLFLAGS =  
DLEXT = bundle
DLSRC = dl_dlopen.xs
EXE_EXT = 
FULL_AR = /usr/bin/ar
LD = /usr/bin/cc
LDDLFLAGS =   -bundle -undefined dynamic_lookup -L/opt/local/lib -Wl,-headerpad_max_install_names   -fstack-protector-strong
LDFLAGS =   -L/opt/local/lib -Wl,-headerpad_max_install_names   -fstack-protector-strong
LIBC = 
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = darwin
OSVERS = 21.3.0
RANLIB = ranlib
SITELIBEXP = /opt/local/lib/perl5/site_perl/5.34
SITEARCHEXP = /opt/local/lib/perl5/site_perl/5.34/darwin-thread-multi-2level
SO = dylib
VENDORARCHEXP = /opt/local/lib/perl5/vendor_perl/5.34/darwin-thread-multi-2level
VENDORLIBEXP = /opt/local/lib/perl5/vendor_perl/5.34


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = Tk::pTk
NAME_SYM = Tk_pTk
VERSION = 1.29
VERSION_MACRO = VERSION
VERSION_SYM = 1_29
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 0.9
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = ../blib/arch
INST_SCRIPT = ../blib/script
INST_BIN = ../blib/bin
INST_LIB = ../blib/lib
INST_MAN1DIR = ../blib/man1
INST_MAN3DIR = ../blib/man3
MAN1EXT = 1pm
MAN3EXT = 3pm
MAN1SECTION = 1
MAN3SECTION = 3
INSTALLDIRS = site
DESTDIR = 
PREFIX = $(SITEPREFIX)
PERLPREFIX = /opt/local
SITEPREFIX = /opt/local
VENDORPREFIX = /opt/local
INSTALLPRIVLIB = /opt/local/lib/perl5/5.34
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = /opt/local/lib/perl5/site_perl/5.34
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = /opt/local/lib/perl5/vendor_perl/5.34
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = /opt/local/lib/perl5/5.34/darwin-thread-multi-2level
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = /opt/local/lib/perl5/site_perl/5.34/darwin-thread-multi-2level
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = /opt/local/lib/perl5/vendor_perl/5.34/darwin-thread-multi-2level
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = /opt/local/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = /opt/local/libexec/perl5.34/sitebin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = /opt/local/libexec/perl5.34
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = /opt/local/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLSITESCRIPT = /opt/local/libexec/perl5.34/sitebin
DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
INSTALLVENDORSCRIPT = /opt/local/libexec/perl5.34
DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
INSTALLMAN1DIR = /opt/local/share/man/man1p
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = /opt/local/share/perl5.34/siteman/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = /opt/local/share/perl5.34/man/man1
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = /opt/local/share/man/man3p
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = /opt/local/share/perl5.34/siteman/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = /opt/local/share/perl5.34/man/man3
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /opt/local/lib/perl5/5.34
PERL_ARCHLIB = /opt/local/lib/perl5/5.34/darwin-thread-multi-2level
PERL_ARCHLIBDEP = /opt/local/lib/perl5/5.34/darwin-thread-multi-2level
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /opt/local/lib/perl5/5.34/darwin-thread-multi-2level/CORE
PERL_INCDEP = /opt/local/lib/perl5/5.34/darwin-thread-multi-2level/CORE
PERL = "/opt/local/bin/perl5.34"
FULLPERL = "/opt/local/bin/perl5.34"
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_DIR = 755
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /opt/local/lib/perl5/5.34/ExtUtils/MakeMaker.pm
MM_VERSION  = 7.62
MM_REVISION = 76200

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
MAKE = make
FULLEXT = Tk/pTk
BASEEXT = pTk
PARENT_NAME = Tk
DLBASE = $(BASEEXT)
VERSION_FROM = 
INC = -I/opt/local/lib/perl5/vendor_perl/5.34/darwin-thread-multi-2level/Tk -I/opt/local/lib/perl5/vendor_perl/5.34/darwin-thread-multi-2level/Tk/pTk -I. -Ibitmaps      -I/opt/local/include -I/opt/local/include/freetype2
DEFINE = 
OBJECT = $(O_FILES)
LDFROM = $(OBJECT)
LINKTYPE = static
BOOTDEP = 

# Handy lists of source code files:
XS_FILES = 
C_FILES  = tkTable.c \
	tkTableCell.c \
	tkTableCellSort.c \
	tkTableCmds.c \
	tkTableEdit.c \
	tkTableTag.c \
	tkTableUtil.c \
	tkTableWin.c
O_FILES  = tkTable.o \
	tkTableCell.o \
	tkTableCellSort.o \
	tkTableCmds.o \
	tkTableEdit.o \
	tkTableTag.o \
	tkTableUtil.o \
	tkTableWin.o
H_FILES  = mm.h \
	tkTable.h \
	tkTableversion.h \
	version.h
MAN1PODS = 
MAN3PODS = 

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIBDEP)$(DFSEP)Config.pm $(PERL_INCDEP)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)/Tk
INST_ARCHLIBDIR  = $(INST_ARCHLIB)/Tk

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = $(INST_ARCHAUTODIR)/$(BASEEXT)$(LIB_EXT)
INST_DYNAMIC     = $(INST_ARCHAUTODIR)/$(DLBASE).$(DLEXT)
INST_BOOT        = $(INST_ARCHAUTODIR)/$(BASEEXT).bs

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVEDEP    = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = mm.h \
	tkTable.h \
	tkTableversion.h \
	version.h

GCCOPT =  -Wall -Wno-implicit-int -Wno-comment -Wno-unused -D__USE_FIXED_PROTOTYPES__


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 7.62
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$$$ARGV[0], $$$$ARGV[1], 0, 1, 1)' --



# --- MakeMaker tool_xsubpp section:

XSUBPPDIR = /opt/local/lib/perl5/5.34/ExtUtils
XSUBPP = "$(XSUBPPDIR)$(DFSEP)xsubpp"
XSUBPPRUN = $(PERLRUN) $(XSUBPP)
XSPROTOARG = 
XSUBPPDEPS = /opt/local/lib/perl5/5.34/ExtUtils/typemap /opt/local/lib/perl5/vendor_perl/5.34/darwin-thread-multi-2level/Tk/typemap /opt/local/lib/perl5/5.34/ExtUtils$(DFSEP)xsubpp
XSUBPPARGS = -typemap '/opt/local/lib/perl5/5.34/ExtUtils/typemap' -typemap '/opt/local/lib/perl5/vendor_perl/5.34/darwin-thread-multi-2level/Tk/typemap'
XSUBPP_EXTRA_ARGS =


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(TRUE)
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(ABSPERLRUN) -MExtUtils::Command -e 'mkpath' --
EQUALIZE_TIMESTAMP = $(ABSPERLRUN) -MExtUtils::Command -e 'eqtime' --
FALSE = false
TRUE = true
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install([ from_to => {@ARGV}, verbose => '\''$(VERBINST)'\'', uninstall_shadows => '\''$(UNINST)'\'', dir_mode => '\''$(PERM_DIR)'\'' ]);' --
DOC_INSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'perllocal_install' --
UNINSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'uninstall' --
WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'warn_if_old_packlist' --
MACROSTART = 
MACROEND = 
USEMAKEFILE = -f
FIXIN = $(ABSPERLRUN) -MExtUtils::MY -e 'MY->fixin(shift)' --
CP_NONEMPTY = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'cp_nonempty' --


# --- MakeMaker makemakerdflt section:
makemakerdflt : all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section skipped.

# --- MakeMaker macro section:
TKDIR = /opt/local/lib/perl5/vendor_perl/5.34/darwin-thread-multi-2level/Tk
WINARCH = x


# --- MakeMaker depend section:


# --- MakeMaker cflags section:

CCFLAGS = -fno-common -DPERL_DARWIN -pipe -Os -fno-strict-aliasing -fstack-protector-strong -I/opt/local/include -DPERL_USE_SAFE_PUTENV
OPTIMIZE = -O3
PERLTYPE = 


# --- MakeMaker const_loadlibs section:

# Tk::pTk might depend on some other libraries:
# See ExtUtils::Liblist for details
#


# --- MakeMaker const_cccmd section:
CCCMD = $(CC) -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION)

# --- MakeMaker post_constants section:

INST_STATIC=libpTk$(LIB_EXT)


# --- MakeMaker pasthru section:
#Tk::MMutil pasthru

PASTHRU = LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	OPTIMIZE="$(OPTIMIZE)"\
	PREFIX="$(PREFIX)"\
	PASTHRU_DEFINE=' $(PASTHRU_DEFINE)'\
	PASTHRU_INC='-I/opt/local/lib/perl5/vendor_perl/5.34/darwin-thread-multi-2level/Tk -I/opt/local/lib/perl5/vendor_perl/5.34/darwin-thread-multi-2level/Tk/pTk -I. -Ibitmaps      -I/opt/local/include -I/opt/local/include/freetype2 $(PASTHRU_INC)'


# --- MakeMaker special_targets section:
.SUFFIXES : .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest blibdirs clean realclean disttest distdir pure_all subdirs clean_subdirs makemakerdflt manifypods realclean_subdirs subdirs_dynamic subdirs_pure_nolink subdirs_static subdirs-test_dynamic subdirs-test_static test_dynamic test_static



# --- MakeMaker c_o section:

.c.i:
	/usr/bin/cc  -I/opt/local/include  -E -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $(GCCOPT) $*.c > $*.i

.c.s :
	$(CCCMD) -S $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $(GCCOPT) $*.c 

.c$(OBJ_EXT) :
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $(GCCOPT) $*.c

.cpp$(OBJ_EXT) :
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $(GCCOPT) $*.cpp

.cxx$(OBJ_EXT) :
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $(GCCOPT) $*.cxx

.cc$(OBJ_EXT) :

## libtk-tablematrix-perl 1.23

=== debian/changelog ===
libtk-tablematrix-perl (1.23-7) unstable; urgency=medium

  * Take over for the Debian Perl Group on maintainer's request.
  * debian/control: Added: Vcs-Git field (source stanza); Vcs-Browser field
    (source stanza). Changed: Homepage field changed to metacpan.org URL;
    Maintainer set to Debian Perl Group <pkg-perl-
    maintainers@lists.alioth.debian.org> (was: Bart Martens
    <bartm@debian.org>); Replace (build-)dependency on ancient version of perl
    with a dependency on perl without a version (as permitted by Debian Policy
    3.8.3).
  * debian/watch: use metacpan-based URL.
  * debian/copyright: use Copyright-Format 1.0.
  * Mark package as autopkgtest-able.
  * Declare compliance with Debian Policy 4.4.1.
  * Drop unneeded version constraints from (build) dependencies.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.
  * Remove (build) dependency on perl-modules.
  * Set bindnow linker flag in debian/rules.
  * debian/rules: move file removals to override_dh_auto_install.
  * Enable tests during build.
  * Fix more example scripts in debian/patches/demos.diff.
  * Make all examples executables.
  * Fix another POD issue in debian/patches/pod.diff.
  * Add /me to Uploaders.

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Oct 2019 22:52:55 +0200

libtk-tablematrix-perl (1.23-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    use $Config{vendorarch} in debian/rules to find perl lib path dynamically
    (Closes: #755028)

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Aug 2014 19:28:58 +0200

libtk-tablematrix-perl (1.23-6) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * No longer using cdbs.  Fixed debian-rules-uses-deprecated-makefile.
  * debian/patches/pod.diff: Fixed manpage-has-errors-from-pod2man.
  * Fixed debhelper-but-no-misc-depends.
  * Fixed ancient-standards-version.

 -- Bart Martens <bartm@debian.org>  Sat, 01 Oct 2011 14:34:20 +0200

libtk-tablematrix-perl (1.23-5) unstable; urgency=low

  * debian/control: Added version, perl-tk (>= 1:804.028).  Closes: #468442.
  * debian/control: Homepage, Standards-Version, and my e-mail address.

 -- Bart Martens <bartm@debian.org>  Sat, 01 Mar 2008 07:28:01 +0100

libtk-tablematrix-perl (1.23-4) unstable; urgency=low

  * debian/patches/01_display.diff: Removed.
  * debian/rules: Disabled tests.  Closes: #430095.

 -- Bart Martens <bartm@knars.be>  Sat, 30 Jun 2007 11:36:19 +0200

libtk-tablematrix-perl (1.23-3) unstable; urgency=low

  * debian/patches/01_display.diff: Updated.  Closes: #430095.

 -- Bart Martens <bartm@knars.be>  Fri, 22 Jun 2007 13:32:15 +0200

libtk-tablematrix-perl (1.23-2) unstable; urgency=low

  * debian/patches/01_display.diff: Added.  Closes: #428533.

 -- Bart Martens <bartm@knars.be>  Fri, 15 Jun 2007 13:51:35 +0200

libtk-tablematrix-perl (1.23-1) unstable; urgency=low

  * New upstream release.
  * debian/*: Switch to cdbs.

 -- Bart Martens <bartm@knars.be>  Wed, 11 Apr 2007 20:10:15 +0200

libtk-tablematrix-perl (1.22-1) unstable; urgency=low

  * New maintainer.  Closes: #344458.
  * New upstream release.
  * debian/control: Removed version number from homepage.

 -- Bart Martens <bartm@knars.be>  Tue,  2 May 2006 07:16:00 +0200

libtk-tablematrix-perl (1.2-5) unstable; urgency=low

  * Orphaning this package as previously announce
  * Bump Standards-Version
  * debhelper compatibility level 5

 -- Florian Ernst <florian@debian.org>  Sun, 30 Apr 2006 12:16:44 +0200

libtk-tablematrix-perl (1.2-4) unstable; urgency=high

  * urgency=high due to RC bug already present in testing
  * Compile against new perl-tk (Closes: #353431: xmltv-gui: 8392508 is not a
    hash at /usr/lib/perl5/Tk/Widget.pm line 190)

 -- Florian Ernst <florian@debian.org>  Tue, 28 Feb 2006 17:30:23 +0100

libtk-tablematrix-perl (1.2-3) unstable; urgency=low

  * debian/watch: fixed
  * debian/source.lintian-overrides: add override for configure-generated-file-in-source

 -- Florian Ernst <florian@debian.org>  Mon,  9 Jan 2006 16:06:46 +0100

libtk-tablematrix-perl (1.2-2) unstable; urgency=low

  * New maintainer. (Closes: #331101: ITA: libtk-tablematrix-perl --
    Table/matrix widget extension to Perl/Tk)
  * debian/control:
    + add upstream Homepage to long description
    + use B-D on libx11-dev instead the whole of xlibs-dev
  * debian/copyright: extend note about previous and current maintainer
  * debian/rules: clean up some generated files
  * Minor adjustments to follow latest Perl Policy
  * Standards-Version 3.6.2, no changes required

 -- Florian Ernst <florian@debian.org>  Fri,  7 Oct 2005 16:28:23 +0200

libtk-tablematrix-perl (1.2-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.6.1 (no package changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 30 Jan 2005 11:15:56 -0600

libtk-tablematrix-perl (1.01-4) unstable; urgency=low

  * Install package demo files (closes: #227685).
  * Added #!/usr/bin/perl interpreter line to top of all demo files.
  * Comment why 'make test' cannot be run all of the time (requires an X display).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 29 Feb 2004 13:39:30 -0600

libtk-tablematrix-perl (1.01-3) unstable; urgency=low

  * Bumped standards version to 3.5.9.
  * Updated debian/watch to proper URL.
  * Changed section from 'interpreters' to 'perl'.
  * Added ${shlibs:Depends} to Depends: line.
  * Added dh_shlibdeps call in debian/rules.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue,  1 Jul 2003 18:43:41 -0500

libtk-tablematrix-perl (1.01-2) unstable; urgency=low

  * Changed maintainer address from @ieee.org to @debian.org.
  * Removed DH_COMPAT settting from debian/rules.
  * Added debian/compat file to replace DH_COMPAT setting.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 30 Mar 2003 13:13:21 -0600

libtk-tablematrix-perl (1.01-1) unstable; urgency=low

  * New upstream release.


=== debian/control ===
Source: libtk-tablematrix-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libx11-dev,
               perl,
               perl-tk,
               xauth,
               xvfb
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libtk-tablematrix-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libtk-tablematrix-perl.git
Homepage: https://metacpan.org/release/Tk-TableMatrix

Package: libtk-tablematrix-perl
Architecture: any
Depends: ${perl:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         perl-tk
Description: Table/matrix widget extension to Perl/Tk
 This is the CPAN Perl module Tk::TableMatrix.
 .
 Tk::TableMatrix is a table/matrix widget extension to Perl/Tk
 for displaying data in a table (or spreadsheet) format.
 The basic features of the widget are:
 .
  * multi-line cells
  * support for embedded windows (one per cell)
  * row & column spanning
  * variable width columns / height rows (interactively resizable)
  * row and column titles
  * multiple data sources ((perl hash|| perl callback) &| internal caching)
  * supports standard Tk reliefs, fonts, colors, etc.
  * x/y scrollbar support
  * 'tag' styles per row, column or cell to change visual appearance
  * in-cell editing - returns value back to data source
  * support for disabled (read-only) tables or cells (via tags)
  * multiple selection modes, with "active" cell
  * multiple drawing modes to get optimal performance for larger tables
  * optional 'flashes' when things update
  * cell validation support

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a dh_auto_test

override_dh_auto_install:
	dh_auto_install
	$(RM) -rv $(TMP)/$(ARCHLIB)/auto/Tk/pTk    # conflicts with perl-tk
	$(RM) -rv $(TMP)/$(ARCHLIB)/Tk/pTk         # conflicts with perl-tk

override_dh_installexamples:
	dh_installexamples
	chmod +x $(TMP)/usr/share/doc/$(PACKAGE)/examples/*

## libtk-tablematrix-perl 1.26

=== debian/changelog ===
libtk-tablematrix-perl (1.26-1) unstable; urgency=medium

  * debian/control: update Build-Depends for cross builds.
  * Update 'DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow' to '=+all'.

  * Import upstream versions 1.24, 1.25, 1.26.
  * Drop debian/tests/pkg-perl/use-name.
    The module name can be taken from the new META.{json,yml}.
  * Update upstream copyright holders.
  * Update years of packaging copyright.
  * Add debian/upstream/metadata.
  * Drop debian/patches/demos.diff.
  * Refresh debian/patches/pod.diff.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Annotate test-only build dependencies with <!nocheck>.
  * Bump debhelper-compat to 13.
  * debian/rules: add hashbang to example scripts.
  * Install upstream Changes, and not ChangeLog, with
    dh_installchangelogs.

 -- gregor herrmann <gregoa@debian.org>  Sat, 31 Oct 2020 15:09:59 +0100

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,24 @@
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libx11-dev,
-               perl,
                perl-tk,
-               xauth,
-               xvfb
-Standards-Version: 4.4.1
+               perl-xs-dev,
+               perl:native,
+               xauth <!nocheck>,
+               xvfb <!nocheck>
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libtk-tablematrix-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libtk-tablematrix-perl.git
 Homepage: https://metacpan.org/release/Tk-TableMatrix
+Rules-Requires-Root: no
 
 Package: libtk-tablematrix-perl
 Architecture: any
-Depends: ${perl:Depends},
+Depends: ${misc:Depends},
+         ${perl:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
          perl-tk
 Description: Table/matrix widget extension to Perl/Tk
  This is the CPAN Perl module Tk::TableMatrix.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
@@ -20,4 +20,8 @@
 
 override_dh_installexamples:
 	dh_installexamples
+	sed -i '1i #!/usr/bin/perl\n' $(TMP)/usr/share/doc/$(PACKAGE)/examples/*
 	chmod +x $(TMP)/usr/share/doc/$(PACKAGE)/examples/*
+
+override_dh_installchangelogs:
+	dh_installchangelogs Changes

=== debian/watch ===
version=4
https://metacpan.org/release/Tk-TableMatrix   .*/Tk-TableMatrix-v?@ANY_VERSION@@ARCHIVE_EXT@$

## libtk-tablematrix-perl 1.29

=== debian/changelog ===
libtk-tablematrix-perl (1.29-2build4) plucky; urgency=medium

  * No-change rebuild for libperl soname.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Oct 2024 13:41:34 +0200

libtk-tablematrix-perl (1.29-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:47:36 +0000

libtk-tablematrix-perl (1.29-2build2) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 05:34:34 +0100

libtk-tablematrix-perl (1.29-2build1) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Jan 2024 03:52:22 +0100

libtk-tablematrix-perl (1.29-2) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * Declare compliance with Debian Policy 4.6.2.
  * d/clean: new: cleanup build artifacts. (Closes: #1048613)

 -- Étienne Mollier <emollier@debian.org>  Sun, 31 Dec 2023 16:08:23 +0100

libtk-tablematrix-perl (1.29-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.29.
  * Declare compliance with Debian Policy 4.6.1.
  * pod.diff: refresh patch.
  * d/rules: cleanup autogenerated Makefiles.
  * pod.diff: add dep3 header.
  * typos.patch: add; fix typos caught by lintian.
  * pod.diff: forwarded alongside typos.patch.
  * d/copyright: bump copyright year (and add myself).

 -- Étienne Mollier <emollier@debian.org>  Mon, 21 Nov 2022 19:13:25 +0100

libtk-tablematrix-perl (1.26-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.

  [ gregor herrmann ]
  * debian/rules: make usage of $Config{vendorarch}
    cross-build-compatible.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.0.

 -- gregor herrmann <gregoa@debian.org>  Sat, 06 Nov 2021 02:10:26 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,18 @@
 PACKAGE = $(shell dh_listpackages)
 TMP     = $(CURDIR)/debian/$(PACKAGE)
 
-ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')
+include /usr/share/dpkg/architecture.mk
+PERLVER := $(shell perl -MConfig -e 'print $$Config{version}')
+ARCHLIB := $(shell perl -I/usr/lib/$(DEB_HOST_MULTIARCH)/perl/cross-config-$(PERLVER) -MConfig -e 'print $$Config{vendorarch}')
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
+
+execute_before_dh_auto_clean:
+	# Cleanup autogenerated Makefiles targeting the wrong platform.
+	find -name Makefile -delete
 
 override_dh_auto_test:
 	xvfb-run -a dh_auto_test
